import PropTypes from 'prop-types';
import useControlledState from '@s-ui/react-hooks/lib/useControlledState/index.js';
import ChevronRight from '@s-ui/react-icons/lib/Chevronright';
import { BASE_CLASS, breadcrumbClassName, isFunction } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

var BreadcrumbBasic = function BreadcrumbBasic(_ref) {
  var items = _ref.items,
      icon = _ref.icon,
      _ref$linkFactory = _ref.linkFactory,
      Link = _ref$linkFactory === void 0 ? function (_ref2) {
    var to = _ref2.to,
        href = _ref2.href,
        className = _ref2.className,
        children = _ref2.children;
    return /*#__PURE__*/_jsx("a", {
      href: to || href,
      className: className,
      children: children
    });
  } : _ref$linkFactory,
      _ref$isScrollable = _ref.isScrollable,
      isScrollable = _ref$isScrollable === void 0 ? false : _ref$isScrollable,
      isExpanded = _ref.isExpanded,
      _ref$defaultIsExpande = _ref.defaultIsExpanded,
      defaultIsExpanded = _ref$defaultIsExpande === void 0 ? false : _ref$defaultIsExpande,
      onExpand = _ref.onExpand,
      onCollapse = _ref.onCollapse,
      onClick = _ref.onClick;

  var _useControlledState = useControlledState(isExpanded, defaultIsExpanded),
      isExpandedState = _useControlledState[0],
      setIsExpandedState = _useControlledState[1];

  var handleClick = function handleClick(event) {
    setIsExpandedState(!isExpandedState);
    isFunction(onClick) && onClick(event, {
      value: !isExpandedState
    });

    if (isExpandedState) {
      isFunction(onCollapse) && onCollapse(event, {
        value: false
      });
    } else {
      isFunction(onExpand) && onExpand(event, {
        value: true
      });
    }
  };

  var IconAngle = icon || ChevronRight;
  var numItems = items.length - 1;
  return /*#__PURE__*/_jsx("nav", {
    "aria-label": "breadcrumb",
    role: "navigation",
    children: /*#__PURE__*/_jsxs("div", {
      className: breadcrumbClassName({
        isExpanded: isExpandedState,
        isScrollable: isScrollable
      }),
      children: [/*#__PURE__*/_jsx("button", {
        onClick: handleClick,
        className: BASE_CLASS + "-btn",
        children: "..."
      }), /*#__PURE__*/_jsx("ul", {
        className: BASE_CLASS + "-list",
        children: items.map(function (_ref3, index) {
          var url = _ref3.url,
              label = _ref3.label;
          return /*#__PURE__*/_jsxs("li", {
            className: BASE_CLASS + "-listItem",
            children: [index !== 0 && index <= numItems && /*#__PURE__*/_jsx(IconAngle, {
              svgClass: BASE_CLASS + "-icon"
            }), url ? /*#__PURE__*/_jsx(Link, {
              to: url,
              href: url,
              className: BASE_CLASS + "-link",
              children: label
            }) : label]
          }, index);
        })
      })]
    })
  });
};

BreadcrumbBasic.displayName = 'BreadcrumbBasic';
export default BreadcrumbBasic;